For the complete documentation index, see llms.txt. This page is also available as Markdown.

Register

post

Create Register Data.

Authorizations
sessionidstringOptional
Body
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
post/api/v1/register/
POST /api/v1/register/ HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 336

{
  "user": {
    "muid": "text",
    "full_name": "text",
    "email": "name@gmail.com",
    "mobile": "text",
    "gender": "Male",
    "dob": "2026-01-01",
    "exist_in_guild": true,
    "joined": "text",
    "interested_in_work": true,
    "interested_in_gig_work": true
  },
  "integration": {
    "param": "text",
    "title": "text"
  },
  "referral": {
    "muid": "text",
    "user": "text",
    "invite_code": "text",
    "is_coin": true
  }
}
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "muid": "text",
    "email": "name@gmail.com",
    "role": "text",
    "full_name": "text"
  }
}
get

Retrieve Area Of Interest.

Authorizations
sessionidstringOptional
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/register/area-of-interest/list/
GET /api/v1/register/area-of-interest/list/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "name": "text"
  }
}
post

Create College.

Authorizations
sessionidstringOptional
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
post/api/v1/register/college/list/
POST /api/v1/register/college/list/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "title": "text"
  }
}
get

Retrieve Colleges.

Authorizations
sessionidstringOptional
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/register/colleges/
GET /api/v1/register/colleges/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "colleges": [
      {
        "id": "text",
        "title": "text"
      }
    ]
  }
}
get

Retrieve Community.

Authorizations
sessionidstringOptional
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/register/community/list/
GET /api/v1/register/community/list/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "title": "text"
  }
}
get

Retrieve Company.

Authorizations
sessionidstringOptional
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/register/company/list/
GET /api/v1/register/company/list/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "companies": [
      {
        "id": "text",
        "title": "text"
      }
    ]
  }
}
get

Retrieve Connect Discord.

Authorizations
sessionidstringOptional
Responses
200

Discord onboard success message

No content

get/api/v1/register/connect-discord/
GET /api/v1/register/connect-discord/ HTTP/1.1
Accept: */*
200

Discord onboard success message

No content

get

Retrieve Country.

Authorizations
sessionidstringOptional
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/register/country/list/
GET /api/v1/register/country/list/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "name": "text"
  }
}
get

Retrieve Department.

Authorizations
sessionidstringOptional
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/register/department/list/
GET /api/v1/register/department/list/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "title": "text"
  }
}
post

Create District.

Authorizations
sessionidstringOptional
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
post/api/v1/register/district/list/
POST /api/v1/register/district/list/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "name": "text",
    "zone": {
      "name": "text",
      "state": {
        "name": "text",
        "country": "text"
      }
    }
  }
}
post

Create User Email Verification.

Authorizations
sessionidstringOptional
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
post/api/v1/register/email-verification/
POST /api/v1/register/email-verification/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "muid": "text",
    "full_name": "text",
    "email": "name@gmail.com",
    "mobile": "text",
    "gender": "Male",
    "dob": "2026-01-01",
    "exist_in_guild": true,
    "joined": "text",
    "roles": "text",
    "profile_pic": "text",
    "dynamic_type": "text",
    "user_domains": "text",
    "user_endgoals": "text",
    "interested_in_work": true,
    "interested_in_gig_work": true,
    "company": "text"
  }
}
post

Create Learning Circle User View.

Authorizations
sessionidstringOptional
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
post/api/v1/register/lc/user-validation/
POST /api/v1/register/lc/user-validation/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "muid": "text",
    "full_name": "text",
    "email": "name@gmail.com",
    "mobile": "text"
  }
}
get

Retrieve Location Search.

Authorizations
sessionidstringOptional
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/register/location/
GET /api/v1/register/location/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "location": "text"
  }
}
post

Create Unverified Organization Create.

Authorizations
sessionidstringRequired
Body
titlestring · max: 100Required
org_typestring · max: 25Required
graduation_yearinteger · nullableOptional
departmentstring · nullableOptional
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
post/api/v1/register/organization/create/
POST /api/v1/register/organization/create/ HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 74

{
  "title": "text",
  "org_type": "text",
  "graduation_year": 1,
  "department": "text"
}
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "title": "text",
    "org_type": "text",
    "graduation_year": 1,
    "department": "text"
  }
}
get

Retrieve Role.

Authorizations
sessionidstringOptional
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/register/role/list/
GET /api/v1/register/role/list/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "title": "text"
  }
}
post

Create School.

Authorizations
sessionidstringOptional
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
post/api/v1/register/schools/list/
POST /api/v1/register/schools/list/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "title": "text"
  }
}
post

Create User Domain Selection.

Authorizations
sessionidstringRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
post/api/v1/register/select-domains/
POST /api/v1/register/select-domains/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "muid": "text",
    "full_name": "text",
    "email": "name@gmail.com",
    "mobile": "text",
    "gender": "Male",
    "dob": "2026-01-01",
    "exist_in_guild": true,
    "joined": "text",
    "roles": "text",
    "profile_pic": "text",
    "dynamic_type": "text",
    "user_domains": "text",
    "user_endgoals": "text",
    "interested_in_work": true,
    "interested_in_gig_work": true,
    "company": "text"
  }
}
post

Create User Endgoal Selection.

Authorizations
sessionidstringRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
post/api/v1/register/select-endgoals/
POST /api/v1/register/select-endgoals/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "muid": "text",
    "full_name": "text",
    "email": "name@gmail.com",
    "mobile": "text",
    "gender": "Male",
    "dob": "2026-01-01",
    "exist_in_guild": true,
    "joined": "text",
    "roles": "text",
    "profile_pic": "text",
    "dynamic_type": "text",
    "user_domains": "text",
    "user_endgoals": "text",
    "interested_in_work": true,
    "interested_in_gig_work": true,
    "company": "text"
  }
}
post

Create State.

Authorizations
sessionidstringOptional
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
post/api/v1/register/state/list/
POST /api/v1/register/state/list/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "name": "text",
    "country": "text"
  }
}
get

Retrieve User Country.

Authorizations
sessionidstringOptional
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/register/user-country/
GET /api/v1/register/user-country/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "country_name": "text"
  }
}
get

Retrieve User State.

Authorizations
sessionidstringOptional
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/register/user-state/
GET /api/v1/register/user-state/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "state_name": "text"
  }
}
get

Retrieve User Zone.

Authorizations
sessionidstringOptional
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/register/user-zone/
GET /api/v1/register/user-zone/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "zone_name": "text"
  }
}

Last updated

Was this helpful?